MCP is live.Set upAsk the community
OmniDimension
Phone numbers

List phone numbers

Retrieve the phone numbers on your account, whether you bought them from the OmniDimension number shop or imported your own.

Buying and releasing numbers is covered in Buy a number over the API.

GET/phone_number/list
Query parameters
pagenointeger

Page number for pagination.

pagesizeinteger

Items per page (max 150).

user_idinteger

Reseller accounts only: the client to act on. Omit it to act on your own account.

curl -X GET 'https://omnidim.io/api/v1/phone_number/list?pageno=1&pagesize=30' \
  -H 'Authorization: Bearer YOUR_API_KEY'
Example response
{
  "success": true,
  "phone_numbers": [
    {
      "id": 213,
      "name": "sales-line",
      "user_id": 1234,
      "user_name": "Demo User",
      "phone_number": "+15551234567",
      "can_message": false,
      "purchase_date": "04/02/2026 09:24:29",
      "active_bot_id": false,
      "location": "US",
      "number_provider": "sip",
      "call_sid": false,
      "exotel_subdomain": false,
      "exotel_account_sid": false,
      "exotel_phone_number": false,
      "exotel_app_id": false,
      "is_phone_wa": false,
      "session_start_time": null,
      "is_cloud_wa": false,
      "wa_wbaid": false,
      "wa_app_id": false,
      "wa_business_id": false,
      "sip_host": "<redacted>",
      "sip_port": "<redacted>",
      "sip_username": "<redacted>",
      "sip_trunk_name": "inbound-trunk",
      "sip_id": "<redacted>",
      "number_source": "imported",
      "is_manually_imported": false,
      "telephony_did_id": null,
      "expiry_date": "",
      "health_score": null,
      "health_score_computed_at": null,
      "health_score_details": null
    }
  ]
}

Authorization

BearerAuth
headerAuthorizationBearer <token>

Bearer token authentication. Obtain your API key from the OmniDimension dashboard.

Query Parameters

pageno?integer

Page number for pagination.

Default1
pagesize?integer

Items per page (max 150).

Rangevalue <= 150
Default30
user_id?integer

Reseller accounts only: the client to act on. Omit it to act on your own account.

Response body

application/json

Response Body

Paginated phone numbers.

application/json
success?boolean
phone_numbers?

Was this page helpful?